/* SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause) */
/*
 * Copyright (c) 2021 MediaTek Inc.
 */

#ifndef A330_ALP_ROHC_DECOMPRESS_H
#define A330_ALP_ROHC_DECOMPRESS_H

#include "rohc_decomp.h"
#include "net_buf.h"

bool alp_rohc_decompress(
		const rohc_decomp_id_t decomp_id,
		net_buf_t *const dst_ip_pkt,
		const net_buf_t src_rohc_pkt);
rohc_decomp_id_t alp_rohc_decomp_init(const u8 max_cid);
void alp_rohc_decomp_deinit(const rohc_decomp_id_t decomp_id);

#endif /* A330_ALP_ROHC_DECOMPRESS_H */

